package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF6C6 extends MwfRequest<MWF6C6, MWF6C6Response> {

    @Parameter(name = "AddressCity")
    MWF6C6 addressCity(String addressCity);
    @Parameter(name = "AddressContCity")
    MWF6C6 addressContCity(String addressContCity);
    @Parameter(name = "AddressContCountry")
    MWF6C6 addressContCountry(String addressContCountry);
    @Parameter(name = "AddressContHouseNumber")
    MWF6C6 addressContHouseNumber(String addressContHouseNumber);
    @Parameter(name = "AddressContLandRegistryNumber")
    MWF6C6 addressContLandRegistryNumber(String addressContLandRegistryNumber);
    @Parameter(name = "AddressContSince")
    MWF6C6 addressContSince(java.util.Date addressContSince);
    @Parameter(name = "AddressContStreet")
    MWF6C6 addressContStreet(String addressContStreet);
    @Parameter(name = "AddressContZipCode")
    MWF6C6 addressContZipCode(String addressContZipCode);
    @Parameter(name = "AddressCountry")
    MWF6C6 addressCountry(String addressCountry);
    @Parameter(name = "AddressEmpCity")
    MWF6C6 addressEmpCity(String addressEmpCity);
    @Parameter(name = "AddressEmpHouseNumber")
    MWF6C6 addressEmpHouseNumber(String addressEmpHouseNumber);
    @Parameter(name = "AddressEmpLandRegistryNumber")
    MWF6C6 addressEmpLandRegistryNumber(String addressEmpLandRegistryNumber);
    @Parameter(name = "AddressEmpStreet")
    MWF6C6 addressEmpStreet(String addressEmpStreet);
    @Parameter(name = "AddressEmpZipCode")
    MWF6C6 addressEmpZipCode(String addressEmpZipCode);
    @Parameter(name = "AddressHouseNumber")
    MWF6C6 addressHouseNumber(String addressHouseNumber);
    @Parameter(name = "AddressLandRegistryNumber")
    MWF6C6 addressLandRegistryNumber(String addressLandRegistryNumber);
    @Parameter(name = "AddressStreet")
    MWF6C6 addressStreet(String addressStreet);
    @Parameter(name = "AddressZipCode")
    MWF6C6 addressZipCode(String addressZipCode);
    @Parameter(name = "BirthCountry")
    MWF6C6 birthCountry(String birthCountry);
    @Parameter(name = "BirthDate")
    MWF6C6 birthDate(java.util.Date birthDate);
    @Parameter(name = "BirthNumber")
    MWF6C6 birthNumber(String birthNumber);
    @Parameter(name = "BirthPlace")
    MWF6C6 birthPlace(String birthPlace);
    @Parameter(name = "BranchId")
    MWF6C6 branchId(String branchId);
    @Parameter(name = "CIF")
    MWF6C6 cif(String cif);
    @Parameter(name = "ChannelId")
    MWF6C6 channelId(String channelId);
    @Parameter(name = "Consent101SignDate")
    MWF6C6 consent101SignDate(java.util.Date consent101SignDate);
    @Parameter(name = "DependPersonsCount")
    MWF6C6 dependPersonsCount(Long dependPersonsCount);
    @Parameter(name = "EducationType")
    MWF6C6 educationType(String educationType);
    @Parameter(name = "Email")
    MWF6C6 email(String email);
    @Parameter(name = "EmployeeProcessRole")
    MWF6C6 employeeProcessRole(String employeeProcessRole);
    @Parameter(name = "EmployeeRoleId")
    MWF6C6 employeeRoleId(String employeeRoleId);
    @Parameter(name = "EmployeeSSO")
    MWF6C6 employeeSSO(String employeeSSO);
    @Parameter(name = "EmploymentId")
    MWF6C6 employmentId(String employmentId);
    @Parameter(name = "EmploymentName")
    MWF6C6 employmentName(String employmentName);
    @Parameter(name = "EmploymentSince")
    MWF6C6 employmentSince(java.util.Date employmentSince);
    @Parameter(name = "EmploymentType")
    MWF6C6 employmentType(String employmentType);
    @Parameter(name = "HousingType")
    MWF6C6 housingType(String housingType);
    @Parameter(name = "IDCard2Number")
    MWF6C6 iDCard2Number(String iDCard2Number);
    @Parameter(name = "IDCard2PublishingCountry")
    MWF6C6 iDCard2PublishingCountry(String iDCard2PublishingCountry);
    @Parameter(name = "IDCard2Type")
    MWF6C6 iDCard2Type(String iDCard2Type);
    @Parameter(name = "IDCard2ValidTo")
    MWF6C6 iDCard2ValidTo(java.util.Date iDCard2ValidTo);
    @Parameter(name = "IDCardNumber")
    MWF6C6 iDCardNumber(String iDCardNumber);
    @Parameter(name = "IDCardPublishingCountry")
    MWF6C6 iDCardPublishingCountry(String iDCardPublishingCountry);
    @Parameter(name = "IDCardType")
    MWF6C6 iDCardType(String iDCardType);
    @Parameter(name = "IDCardValidTo")
    MWF6C6 iDCardValidTo(java.util.Date iDCardValidTo);
    @Parameter(name = "IncomeAverageThreeMonths")
    MWF6C6 incomeAverageThreeMonths(Double incomeAverageThreeMonths);
    @Parameter(name = "MaritalAssets")
    MWF6C6 maritalAssets(String maritalAssets);
    @Parameter(name = "MaritalState")
    MWF6C6 maritalState(String maritalState);
    @Parameter(name = "Name")
    MWF6C6 name(String name);
    @Parameter(name = "Nationality")
    MWF6C6 nationality(String nationality);
    @Parameter(name = "Occupation")
    MWF6C6 occupation(String occupation);
    @Parameter(name = "PhoneNumber")
    MWF6C6 phoneNumber(String phoneNumber);
    @Parameter(name = "Sex")
    MWF6C6 sex(String sex);
    @Parameter(name = "Surname")
    MWF6C6 surname(String surname);
}
